Subject: bug#37945: closed (Re: bug#37945: [Auctex] Revert font locking to defaults)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Jun 2020 12:21:02 +0000

Your bug report

#37945: Saving file erases minor mode font locking.

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37945: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37945
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37945: [Auctex] Revert font locking to defaults
From: Tassilo Horn <[email-masked]>
To: Dominik Schrempf <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Jun 2020 14:20:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tassilo Horn <[email-masked]> writes:

>> thanks a lot for working on this.  I tested the mentioned branch and
>> indeed, it works flawlessly.  As far as I can see now, no other
>> regressions were introduced,
>
> That's good news.  I give it some days of testing by others and then
> I'll merge it into master.  So hopefully it'll be fixed in GNU AUCTeX
> 12.2.4.

Ok, the branch is now merged into master and we'll be doing a new ELPA
release in some days.

I'm closing this report now.  Thanks a lot for testing!

Bye,
Tassilo

Subject: Saving file erases minor mode font locking.
From: Prashant Sachdeva <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2019 10:45:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When saving files, the lisp files for some style files (e.g. expl3, minted)
call font-latex-update-font-lock, which has the following lines to revert
the font locking to defaults (around line 1287-88 of font-latex.el):

(setq font-lock-set-defaults nil)
(font-lock-set-defaults)

This removes any font locking done by minor modes (e.g. hl-todo-mode,
outshine-mode). There should be another way of applying these styles that
does not override previously set font properties, or reapplies the font
lock applied by minor modes.

Emacs  : GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.7.0, Carbon Version
158 AppKit 1671.6)
 of 2019-10-19
Package: 12.1.2

Also covered as a bug in hl-todo-mode
<https://github.com/tarsius/hl-todo/issues/26#issuecomment-546637535>.

- Prashant